Bug 214346 - VM started with "maximum memory".
VM started with "maximum memory".
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
6
i386 All
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Brian Brock
:
Depends On:
Blocks: 217372
  Show dependency treegraph
 
Reported: 2006-11-07 00:17 EST by Toshiyuki Shirae
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: virt-manager-0.4.0 and libvirt-0.2.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-18 13:47:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toshiyuki Shirae 2006-11-07 00:17:09 EST
Description of problem:
VM alsways started with "maximum memory" instead of "start up memory", which 
was defined by virt-manager GUI.  
I set "400" for "start up memory" and "512" for "maximum memory" with virt-
manager.  
But with checking on configuration file, "memory" was set as "512".  
I though it should be "400".  

Version-Release number of selected component (if applicable):
xen-3.0.3-0.1.rc3  
libvirt-0.1.7-2  
virt-manager-0.2.3-2.fc6  
python-virtinst-0.95.0-1.fc6  

How reproducible:
always

Steps to Reproduce:
1. Launch virt-manager and connect to the local xen instance.  
2. Click "New" button and create a VM.  
3. Set the items were set as follows.
  start up memory: 400
  maximum memory : 512
  domain name    : rhel4u2_dom01
  virtualization method : Fully virtualized
  installation source   : /var/rhel4u2/rhel4.0as_u2_x86_cd1.iso
  disk type      : file
  disk image     : /root/rhel4u2_dom01.img
  disk size      : 4000
  vcpus          : 1
4. After finish guest OS installation, boot the VM by running following 
command. 
  # xm create /etc/xen/rhel4u2_dom01  
5. Check the memory size by running following command.  
  # xm list  
  
Actual results:
"maximum memory" value is used as VM memory when booted.  

Expected results:
"start up memory" value is used as VM memory when booted.  

Additional info:
The configuration file, "rhel4u2_dom01", is attached with this report.
Comment 1 Hugh Brock 2007-06-18 13:47:24 EDT
This is fixed in virt-manager-0.4.0 with libvirt-0.2.3. Note that until hvm
supports memory hotplug there is still no way to increase memory from start-up
to max -- but the guest starts with the amount of memory specified in
startup-memory, not the amount specified in max-mem.

Note You need to log in before you can comment on or make changes to this bug.